### Enumeration

# Gtk AccessibleAnnouncementPriority

since: 4.14

#### Declaration

    enum Gtk.AccessibleAnnouncementPriority

#### Description [src]

The priority of an accessibility announcement.

Available since: 4.14

#### Members

`GTK_ACCESSIBLE_ANNOUNCEMENT_PRIORITY_LOW`

  The announcement is low priority, and might be read only on the user’s request.

  - Value: `0`
  - Available since: 4.14
`GTK_ACCESSIBLE_ANNOUNCEMENT_PRIORITY_MEDIUM`

  The announcement is of medium priority, and is usually spoken at the next opportunity, such as at the end of speaking the current sentence or when the user pauses typing.

  - Value: `1`
  - Available since: 4.14
`GTK_ACCESSIBLE_ANNOUNCEMENT_PRIORITY_HIGH`

  The announcement is of high priority, and is usually spoken immediately. Because an interruption might disorient users or cause them to not complete their current task, authors SHOULD NOT use high priority announcements unless the interruption is imperative. An example would be a notification about a critical battery power level.

  - Value: `2`
  - Available since: 4.14